// -----------------------------------------------------------------------------
//
//  Copyright (C) 2020 Fons Adriaensen <fons@linuxaudio.org>
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// -----------------------------------------------------------------------------


#ifndef __MCLED_H
#define	__MCLED_H


#include <clxclient.h>


class Mcled
{
public:

    enum { XSIZE = 11, YSIZE = 11 };

    Mcled (X_window *par, int xp, int yp, XImage *imag);
    ~Mcled (void);

    void update (int k);
    void render (void);

private:

    X_window  *_par;
    int        _xp;
    int        _yp;
    XImage    *_imag;
    int        _k;
};


#endif
