// ----------------------------------------------------------------------------
//
//  Copyright (C) 2009-2017 Fons Adriaensen <fons@linuxaudio.org>
//    
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ----------------------------------------------------------------------------


#ifndef __PAREQ_H
#define __PAREQ_H


class Pareq
{
public:

    Pareq (void);
    ~Pareq (void);
    
    void reset (void) { _z1 = _z2 = 0; }
    void set_param (float f, float b, float g);
    void process (int n, float *inp, float *out);

private:

    float  _c1, _c2;
    float  _z1, _z2; 
    float  _g;
};


#endif
